import com.ibatis.common.resources.Resources;
import com.ibatis.sqlmap.client.SqlMapClient;
import com.ibatis.sqlmap.client.SqlMapClientBuilder;
import java.io.*;
import java.sql.SQLException;
import java.util.*;

public class IbatisInsertion{
	public static void main(String[] args) throws IOException,SQLException{
		Reader reader = Resources.getResourceAsReader("SqlMapConfig.xml");
	    SqlMapClient sqlMap = SqlMapClientBuilder.buildSqlMapClient(reader);
	    //Inserting one record in contacts
	    System.out.println("*-------------- Inserting information in Contact Table -----------*");
		Contact contact=new Contact("Amit","Kumar","amit@roseindia.net");
	    sqlMap.insert("Contact.insert",contact);
	    System.out.println("|Record Inserted Successfully ");
		System.out.println("All Contacts");
	    List<Contact> contacts = (List<Contact>)
	      sqlMap.queryForList("Contact.getAll",null);
	      Contact contactall = new Contact();
	    for (Contact c : contacts) {
		  System.out.print("  " + c.getId());
	      System.out.print("  " + c.getFirstName());
		  System.out.print("  " + c.getLastName());
		  System.out.print("  " + c.getEmail());
	      contact = c; 
		  System.out.println("");
		}
	    System.out.println("================================================================");
	    }		
}
